Index: trunk/kernel/obj.tsar/kern/sys_stat.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_stat.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_stat.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_stat.o: kern/sys_stat.c libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs.h kern/rwlock.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ kern/cpu-trace.h
Index: trunk/kernel/obj.tsar/kern/sys_thread_create.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_thread_create.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_thread_create.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_thread_create.o: kern/sys_thread_create.c libk/errno.h \
+ vfs/vfs-errno.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h kern/cpu.h \
+ libk/utils.h libk/types.h libk/stdint.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/cluster.h kern/mcs_sync.h mm/ppm.h kern/wait_queue.h kern/kdmsg.h \
+ libk/boot-info.h mm/heap_manager.h kern/thread.h kern/task.h \
+ kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/dqdt.h
Index: trunk/kernel/obj.tsar/kern/sys_thread_detach.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_thread_detach.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_thread_detach.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_thread_detach.o: kern/sys_thread_detach.c libk/list.h \
+ kern/kmagics.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ kern/thread.h libk/types.h libk/stdint.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/task.h kern/rwlock.h \
+ mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h \
+ mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_thread_exit.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_thread_exit.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_thread_exit.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/kern/sys_thread_exit.o: kern/sys_thread_exit.c libk/list.h \
+ kern/kmagics.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ kern/thread.h libk/types.h libk/stdint.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/cluster.h mm/ppm.h \
+ mm/heap_manager.h kern/dqdt.h kern/task.h kern/rwlock.h mm/vmm.h \
+ libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h \
+ kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_thread_getattr.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_thread_getattr.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_thread_getattr.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/kern/sys_thread_getattr.o: kern/sys_thread_getattr.c \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/errno.h vfs/vfs-errno.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h \
+ libk/bits.h kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h kern/cluster.h kern/mcs_sync.h mm/ppm.h \
+ kern/wait_queue.h kern/kdmsg.h libk/boot-info.h mm/heap_manager.h \
+ kern/thread.h
Index: trunk/kernel/obj.tsar/kern/sys_thread_join.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_thread_join.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_thread_join.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_thread_join.o: kern/sys_thread_join.c libk/list.h \
+ kern/kmagics.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ kern/thread.h libk/types.h libk/stdint.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/task.h kern/rwlock.h \
+ mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h \
+ mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_thread_migrate.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_thread_migrate.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_thread_migrate.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_thread_migrate.o: kern/sys_thread_migrate.c kern/cpu.h \
+ libk/utils.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h \
+ mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/keysdb.h \
+ kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_thread_sleep.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_thread_sleep.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_thread_sleep.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_thread_sleep.o: kern/sys_thread_sleep.c \
+ kern/scheduler.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/thread.h \
+ kern/spinlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/task.h kern/rwlock.h \
+ mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h \
+ mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_thread_wakeup.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_thread_wakeup.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_thread_wakeup.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_thread_wakeup.o: kern/sys_thread_wakeup.c libk/errno.h \
+ vfs/vfs-errno.h kern/kmagics.h kern/cpu.h libk/utils.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/rr-sched.h \
+ kern/event.h kern/time.h kern/device.h kern/driver.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h \
+ mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cluster.h mm/ppm.h \
+ kern/wait_queue.h mm/heap_manager.h kern/task.h kern/rwlock.h mm/vmm.h \
+ libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h \
+ kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h kern/thread.h
Index: trunk/kernel/obj.tsar/kern/sys_thread_yield.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_thread_yield.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_thread_yield.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/sys_thread_yield.o: kern/sys_thread_yield.c kern/thread.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h
Index: trunk/kernel/obj.tsar/kern/sys_times.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_times.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_times.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/sys_times.o: kern/sys_times.c kern/cpu.h libk/utils.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h
Index: trunk/kernel/obj.tsar/kern/sys_unlink.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_unlink.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_unlink.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_unlink.o: kern/sys_unlink.c vfs/vfs.h kern/system.h \
+ kern/hal-arch.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ kern/thread.h
Index: trunk/kernel/obj.tsar/kern/sys_utls.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_utls.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_utls.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/sys_utls.o: kern/sys_utls.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/semaphore.h
Index: trunk/kernel/obj.tsar/kern/sys_write.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_write.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_write.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/sys_write.o: kern/sys_write.c libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs.h kern/rwlock.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sysconf.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sysconf.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sysconf.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/sysconf.o: kern/sysconf.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ fs/sysfs/sysfs.h libk/list.h kern/kmagics.h kern/metafs.h mm/kmem.h \
+ mm/kcm.h kern/spinlock.h mm/pmm.h arch/tsar/arch-pmm.h kern/thread.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/sysconf.h
Index: trunk/kernel/obj.tsar/kern/task.d
===================================================================
--- trunk/kernel/obj.tsar/kern/task.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/task.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/task.o: kern/task.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ libk/bits.h mm/kmem.h mm/kcm.h libk/list.h kern/kmagics.h \
+ kern/spinlock.h mm/page.h kern/atomic.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/vmm.h \
+ libk/rbtree.h kern/rwlock.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h \
+ mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/thread.h kern/dqdt.h kern/cluster.h mm/ppm.h \
+ mm/heap_manager.h kern/pid.h kern/task.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/thread_create.d
===================================================================
--- trunk/kernel/obj.tsar/kern/thread_create.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/thread_create.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/thread_create.o: kern/thread_create.c libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/errno.h \
+ vfs/vfs-errno.h mm/kmem.h mm/kcm.h libk/list.h kern/kmagics.h \
+ kern/spinlock.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/thread.h \
+ kern/wait_queue.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h \
+ mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/keysdb.h \
+ kern/signal.h kern/cluster.h mm/ppm.h mm/heap_manager.h mm/page.h
Index: trunk/kernel/obj.tsar/kern/thread_destroy.d
===================================================================
--- trunk/kernel/obj.tsar/kern/thread_destroy.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/thread_destroy.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/thread_destroy.o: kern/thread_destroy.c kern/cpu.h \
+ libk/utils.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h \
+ mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/keysdb.h \
+ kern/signal.h kern/cluster.h mm/ppm.h mm/heap_manager.h mm/page.h
Index: trunk/kernel/obj.tsar/kern/thread_dup.d
===================================================================
--- trunk/kernel/obj.tsar/kern/thread_dup.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/thread_dup.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/thread_dup.o: kern/thread_dup.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ mm/kmem.h mm/kcm.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h \
+ kern/event.h kern/time.h kern/device.h kern/driver.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h \
+ libk/bits.h kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h kern/thread.h kern/wait_queue.h kern/task.h \
+ kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/cluster.h mm/ppm.h \
+ mm/heap_manager.h mm/page.h
Index: trunk/kernel/obj.tsar/kern/thread_idle.d
===================================================================
--- trunk/kernel/obj.tsar/kern/thread_idle.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/thread_idle.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/kern/thread_idle.o: kern/thread_idle.c libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/cluster.h kern/mcs_sync.h mm/ppm.h kern/wait_queue.h kern/kdmsg.h \
+ libk/boot-info.h mm/heap_manager.h kern/rt_timer.h kern/cpu-trace.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h kern/thread.h \
+ mm/page.h kern/dqdt.h
Index: trunk/kernel/obj.tsar/kern/thread_migrate.d
===================================================================
--- trunk/kernel/obj.tsar/kern/thread_migrate.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/thread_migrate.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/kern/thread_migrate.o: kern/thread_migrate.c libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/errno.h \
+ vfs/vfs-errno.h mm/kmem.h mm/kcm.h libk/list.h kern/kmagics.h \
+ kern/spinlock.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/thread.h \
+ kern/wait_queue.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h \
+ mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/keysdb.h \
+ kern/signal.h kern/cluster.h mm/ppm.h mm/heap_manager.h kern/dqdt.h \
+ mm/page.h
Index: trunk/kernel/obj.tsar/kern/time.d
===================================================================
--- trunk/kernel/obj.tsar/kern/time.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/time.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/time.o: kern/time.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/thread.h libk/list.h \
+ kern/kmagics.h kern/spinlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h \
+ kern/rt_timer.h
Index: trunk/kernel/obj.tsar/kern/wait_queue.d
===================================================================
--- trunk/kernel/obj.tsar/kern/wait_queue.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/wait_queue.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/wait_queue.o: kern/wait_queue.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/thread.h libk/list.h \
+ kern/kmagics.h kern/spinlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h \
+ kern/rt_timer.h
Index: trunk/kernel/obj.tsar/kldscript
===================================================================
--- trunk/kernel/obj.tsar/kldscript	(revision 1)
+++ trunk/kernel/obj.tsar/kldscript	(revision 1)
@@ -0,0 +1,28 @@
+vaddr = 0x00000000;
+SECTIONS
+{
+  .ktext vaddr : {
+    __ktext_start = .;
+    *(.kentry)
+    __kentry_end = .;
+    __uspace_start = .;
+    *(.uspace)
+    __uspace_end = .;
+    __virtual_end = .;
+      *(.text)
+      *(.rodata*)
+      . = ALIGN(0x1000);
+    __ktext_end = .;
+  }
+  .kdata : {
+    __kdata_start = .;
+    *(.data*)
+      *(.bss*)
+      *(COMMON*)
+      *(.scommon*)
+      . = ALIGN(0x1000);
+    __kdata_end = .;
+    __heap_start = .;
+    *(.kheader)
+  }
+}
Index: trunk/kernel/obj.tsar/ksh/cat.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/cat.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/cat.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/ksh/cat.o: ksh/cat.c libk/stdint.h libk/string.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h kern/sys-vfs.h vfs/vfs.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h libk/errno.h \
+ vfs/vfs-errno.h kern/atomic.h kern/rwlock.h kern/wait_queue.h \
+ libk/list.h kern/kmagics.h kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h ksh/kminiShell.h
